/* =========================================== gp.phone.dat.c ============================================= */
/* ..................................................|..................................................... */

/* -------------------------------------------------------------------------------------------------------- */
/*2345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567*/
/*        1         2         3         4         5         6         7         8         9         10      */
/* ..................................................|..................................................... */
/*                                        Author: Glen Petrie                                               */
/****************************************************|*******************************************************/
/*                                                                                                          */
/*    Copyright (c) 2011-2013                SEIKO EPSON CORPORATION            All Rights Reserved         */
/*                                                                                                          */
/*                                      Common Public License - v 1.0                                       */
/*   THE ACCOMPANYING PROGRAM IS PROVIDED UNDER THE TERMS OF THIS COMMON PUBLIC LICENSE ("AGREEMENT").      */
/*   ANY USE, REPRODUCTION OR DISTRIBUTION OF THE PROGRAM CONSTITUTES RECIPIENT'S ACCEPTANCE OF THIS        */
/*   AGREEMENT.                                                                                             */
/*                                                                                                          */
/* 1. DEFINITIONS                                                                                           */
/*    "Contribution" means:                                                                                 */
/*    a) in the case of the initial Contributor, the initial code and documentation distributed under this  */
/*       Agreement, and                                                                                     */
/*    b) in the case of each subsequent Contributor:                                                        */
/*        i) changes to the Program, and                                                                    */
/*       ii) additions to the Program;                                                                      */
/*                                                                                                          */
/*       where such changes and/or additions to the Program originate from and are distributed by that      */
/*       particular Contributor. A Contribution 'originates' from a Contributor if it was added to the      */
/*       Program by such Contributor itself or anyone acting on such Contributor's behalf. Contributions    */
/*       do not include additions to the Program which:                                                     */
/*      (i) are separate modules of software distributed in conjunction with the Program under their own    */
/*          license agreement, and                                                                          */
/*     (ii) are not derivative works of the Program.                                                        */
/*                                                                                                          */
/*    "Contributor" means any person or entity that distributes the Program.                                */
/*                                                                                                          */
/*    "Licensed Patents" mean patent claims licensable by a Contributor which are necessarily infringed     */
/*    by the use or sale of its Contribution alone or when combined with the Program.                       */
/*                                                                                                          */
/*    "Program" means the Contributions distributed in accordance with this Agreement.                      */
/*                                                                                                          */
/*    "Recipient" means anyone who receives the Program under this Agreement, including all Contributors.   */
/*                                                                                                          */
/* 2. GRANT OF RIGHTS                                                                                       */
/*    a) Subject to the terms of this Agreement, each Contributor hereby grants Recipient a non-exclusive,  */
/*       worldwide, royalty-free copyright license to reproduce, prepare derivative works of, publicly      */
/*       display, publicly perform, distribute and sublicense the Contribution of such Contributor, if any, */
/*       and such derivative works, in source code and object code form.                                    */
/*    b) Subject to the terms of this Agreement, each Contributor hereby grants Recipient a non-exclusive,  */
/*       worldwide, royalty-free patent license under Licensed Patents to make, use, sell, offer to sell,   */
/*       import and otherwise transfer the Contribution of such Contributor, if any, in source code and     */
/*       object code form. This patent license shall apply to the combination of the Contribution and the   */
/*       Program if, at the time the Contribution is added by the Contributor, such addition of the         */
/*       Contribution causes such combination to be covered by the Licensed Patents.  The patent license    */
/*       shall not apply to any other combinations which include the Contribution. No hardware per se is    */
/*       licensed hereunder.                                                                                */
/*    c) Recipient understands that although each Contributor grants the licenses to its Contributions set  */
/*       forth herein, no assurances are provided by any Contributor that the Program does not infringe the */
/*       patent or other intellectual property rights of any other entity. Each Contributor disclaims any   */
/*       liability to Recipient for claims brought by any other entity based on infringement of             */
/*       intellectual property rights or otherwise. As a condition to exercising the rights and licenses    */
/*       granted hereunder, each Recipient hereby assumes sole responsibility to secure any other           */
/*       intellectual property rights needed, if any.  For example, if a third party patent license is      */
/*       required to allow Recipient to distribute the Program, it is Recipient's responsibility to         */
/*       acquire that license before distributing the Program.                                              */
/*    d) Each Contributor represents that to its knowledge it has sufficient copyright rights in its        */
/*       Contribution, if any, to grant the copyright license set forth in this Agreement.                  */
/*                                                                                                          */
/* 3. REQUIREMENTS                                                                                          */
/*    A Contributor may choose to distribute the Program in object code form under its own license          */
/*    agreement, provided that:                                                                             */
/*    a) it complies with the terms and conditions of this Agreement; and                                   */
/*    b) its license agreement:                                                                             */
/*        i) effectively disclaims on behalf of all Contributors all warranties and conditions, express     */
/*           and implied, including warranties or conditions of title and non-infringement, and implied     */
/*           warranties or conditions of merchantability and fitness for a particular purpose;              */
/*       ii) effectively excludes on behalf of all Contributors all liability for damages, including        */
/*           direct, indirect, special, (incidental and consequential damages, such as lost profits;        */
/*      iii) states that any provisions which differ from this Agreement are offered by that Contributor    */
/*           alone and not by any other party; and                                                          */
/*       iv) states that source code for the Program is available from such Contributor, and informs        */
/*           licensees how to obtain it in a reasonable manner on or through a medium customarily used      */
/*           for software exchange.                                                                         */
/*    When the Program is made available in source code form:                                               */
/*        a) it must be made available under this Agreement; and                                            */
/*        b) a copy of this Agreement must be included with each copy of the Program.                       */
/*    Contributors may not remove or alter any copyright notices contained within the Program.              */
/*                                                                                                          */
/*    Each Contributor must identify itself as the originator of its Contribution, if any, in a manner      */
/*    that reasonably allows subsequent Recipients to identify the originator of the Contribution.          */
/*                                                                                                          */
/* 4. COMMERCIAL DISTRIBUTION                                                                               */
/*    Commercial distributors of software may accept certain responsibilities with respect to end users,    */
/*    business partners and the like. While this license is intended to facilitate the commercial use of    */
/*    the Program, the Contributor who includes the Program in a commercial product offering should do so   */
/*    in a manner which does not create potential liability for other Contributors. Therefore, if a         */
/*    Contributor includes the Program in a commercial product offering, such Contributor                   */
/*    ("Commercial Contributor") hereby agrees to defend and indemnify every other Contributor              */
/*    ("Indemnified Contributor") against any losses, damages and costs (collectively "Losses") arising     */
/*    from claims, lawsuits and other legal actions brought by a third party against the Indemnified        */
/*    Contributor to the extent caused by the acts or omissions of such Commercial Contributor in           */
/*    connection with its distribution of the Program in a commercial product offering. The obligations in  */
/*    this section do not apply to any claims or Losses relating to any actual or alleged intellectual      */
/*    property infringement. In order to qualify, an Indemnified Contributor must: a) promptly notify the   */
/*    Commercial Contributor in writing of such claim, and b) allow the Commercial Contributor to control,  */
/*    and cooperate with the Commercial Contributor in, the defense and any related settlement              */
/*    negotiations. The Indemnified Contributor may participate in any such claim at its own expense.       */
/*                                                                                                          */
/*    For example, a Contributor might include the Program in a commercial product offering, Product X.     */
/*    That Contributor is then a Commercial Contributor. If that Commercial Contributor then makes          */
/*    performance claims, or offers warranties related to Product X, those performance claims and           */
/*    warranties are such Commercial Contributor's responsibility alone. Under this section, the Commercial */
/*    Contributor would have to defend claims against the other Contributors related to those performance   */
/*    claims and warranties, and if a court requires any other Contributor to pay any damages as a result,  */
/*    the Commercial Contributor must pay those damages.                                                    */
/*                                                                                                          */
/* 5. NO WARRANTY                                                                                           */
/*    EXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, THE PROGRAM IS PROVIDED ON AN "AS IS" BASIS,         */
/*    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT            */
/*    LIMITATION, ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS       */
/*    FOR A PARTICULAR PURPOSE. Each Recipient is solely responsible for determining the appropriateness    */
/*    of using and distributing the Program and assumes all risks associated with its exercise of rights    */
/*    under this Agreement, including but not limited to the risks and costs of program errors, compliance  */
/*    with applicable laws, damage to or loss of data, programs or equipment, and unavailability or         */
/*    interruption of operations.                                                                           */
/*                                                                                                          */
/* 6. DISCLAIMER OF LIABILITY                                                                               */
/*    EXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, NEITHER RECIPIENT NOR ANY CONTRIBUTORS SHALL HAVE    */
/*    ANY LIABILITY FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES      */
/*    (INCLUDING WITHOUT LIMITATION LOST PROFITS), HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER   */
/*    IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT     */
/*    OF THE USE OR DISTRIBUTION OF THE PROGRAM OR THE EXERCISE OF ANY RIGHTS GRANTED HEREUNDER, EVEN IF    */
/*    ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.                                                           */
/*                                                                                                          */
/* 7. GENERAL                                                                                               */
/*    If any provision of this Agreement is invalid or unenforceable under applicable law, it shall not     */
/*    affect the validity or enforceability of the remainder of the terms of this Agreement, and without    */
/*    further action by the parties hereto, such provision shall be reformed to the minimum extent          */
/*    necessary to make such provision valid and enforceable.                                               */
/*                                                                                                          */
/*    If Recipient institutes patent litigation against a Contributor with respect to a patent applicable   */
/*    to software (including a cross-claim or counterclaim in a lawsuit), then any patent licenses granted  */
/*    by that Contributor to such Recipient under this Agreement shall terminate as of the date such        */
/*    litigation is filed. In addition, if Recipient institutes patent litigation against any  entity       */
/*    (including a cross-claim or counterclaim in a lawsuit) alleging that the Program itself (excluding    */
/*    combinations of the Program with other software or hardware) infringes such Recipient's patent(s),    */
/*    then such Recipient's rights granted under Section 2(b) shall terminate as of the date such           */
/*    litigation is filed.                                                                                  */
/*                                                                                                          */
/*    All Recipient's rights under this Agreement shall terminate if it fails to comply with any of the     */
/*    material terms or conditions of this Agreement and does not cure such failure in a reasonable         */
/*    period of time after becoming aware of such noncompliance. If all Recipient's rights under this       */
/*    Agreement terminate, Recipient agrees to cease use and distribution of the Program as soon as         */
/*    reasonably practicable. However, Recipient's obligations under this Agreement and any licenses        */
/*    granted by Recipient relating to the Program shall continue and survive.                              */
/*                                                                                                          */
/*    Everyone is permitted to copy and distribute copies of this Agreement, but in order to avoid          */
/*    inconsistency the Agreement is copyrighted and may only be modified in the following manner. The      */
/*    Agreement Steward reserves the right to publish new versions (including revisions) of this Agreement  */
/*    from time to time. No one other than the Agreement Steward has the right to modify this Agreement.    */
/*    IBM is the initial Agreement Steward. IBM may assign the responsibility to serve as the Agreement     */
/*    Steward to a suitable separate entity. Each new version of the Agreement will be given a              */
/*    distinguishing version number. The Program (including Contributions) may always be distributed        */
/*    subject to the version of the Agreement under which it was received. In addition, after a new         */
/*    version of the Agreement is published, Contributor may elect to distribute the Program (including     */
/*    its Contributions) under the new version. Except as expressly stated in Sections 2(a) and 2(b) above, */
/*    Recipient receives no rights or licenses to the intellectual property of any Contributor under this   */
/*    Agreement, whether expressly, by implication, estoppel or otherwise. All rights in the Program not    */
/*    expressly granted under this Agreement are reserved.                                                  */
/*                                                                                                          */
/*    This Agreement is governed by the laws of the State of New York and the intellectual property laws    */
/*    of the United States of America. No party to this Agreement will bring a legal action under this      */
/*    Agreement more than one year after the cause of action arose. Each party waives its rights to a       */
/*    jury trial in any resulting litigation.                                                               */
/*                                                                                                          */
/* *****%*******************%*****|************************************************************************ */
/*                                                                                                          */
/* Code States:                                                                                             */
/*      Initial                                                                                             */
/*                          Developing                                                                      */
/*      Working                                                                                             */
/*      Tested                                                                                              */
/*      Refactored                                                                                          */
/*      Final Candidate                                                                                     */
/*      Final Code                                                                                          */
/*                                                                                                          */
/* *****%*******************%*****|************************************************************************ */

/* ---------------------------------------------- Includes ------------------------------------------------ */
/* ..................................................|..................................................... */
#include "gp.typedefs.h"
#include "gp.phone.dat.h"


/* ---------------------------------------------- Macros -------------------------------------------------- */
/* ..................................................|..................................................... */

/* --------------------------------------------- Definition ----------------------------------------------- */
/* ..................................................|..................................................... */

/* ------------------------------------- Data Structure Declarations -------------------------------------- */
/* ..................................................|..................................................... */

/* ------------------------------------ Application Global Variables -------------------------------------- */
/* ..................................................|..................................................... */
const gpCHAR* cellPhoneSize[] = { "  64 x   98",
                                  "  64 x  112",
                                  "  64 x  128",
                                  "  80 x  120",
                                  "  95 x   76",
                                  "  96 x   44",
                                  "  96 x   64",
                                  "  96 x   65",
                                  "  96 x   68",
                                  "  96 x   72",
                                  "  96 x   76",
                                  "  96 x   78",
                                  "  96 x   84",
                                  "  96 x   89",
                                  "  96 x   90",
                                  "  96 x   91",
                                  "  96 x   95",
                                  "  96 x   96",
                                  "  96 x  104",
                                  "  96 x  113",
                                  "  96 x  120",
                                  "  98 x   64",
                                  " 100 x  120",
                                  " 101 x   54",
                                  " 101 x   64",
                                  " 101 x   65",
                                  " 101 x   67",
                                  " 101 x   80",
                                  " 101 x  111",
                                  " 102 x   80",
                                  " 104 x   80",
                                  " 104 x  208",
                                  " 108 x   82",
                                  " 110 x   72",
                                  " 111 x  100",
                                  " 111 x  106",
                                  " 112 x   64",
                                  " 112 x   76",
                                  " 112 x   84",
                                  " 112 x  128",
                                  " 116 x  122",
                                  " 116 x  181",
                                  " 118 x  114",
                                  " 118 x  128",
                                  " 118 x  256",
                                  " 119 x   64",
                                  " 120 x   72",
                                  " 120 x   80",
                                  " 120 x   96",
                                  " 120 x  108",
                                  " 120 x  110",
                                  " 120 x  112",
                                  " 120 x  115",
                                  " 120 x  116",
                                  " 120 x  117",
                                  " 120 x  120",
                                  " 120 x  124",
                                  " 120 x  126",
                                  " 120 x  127",
                                  " 120 x  128",
                                  " 120 x  130",
                                  " 120 x  143",
                                  " 120 x  144",
                                  " 120 x  145",
                                  " 120 x  160",
                                  " 123 x   69",
                                  " 125 x   96",
                                  " 128 x   50",
                                  " 128 x   64",
                                  " 128 x   80",
                                  " 128 x   83",
                                  " 128 x   92",
                                  " 128 x   95",
                                  " 128 x   96",
                                  " 128 x   97",
                                  " 128 x  100",
                                  " 128 x  112",
                                  " 128 x  115",
                                  " 128 x  120",
                                  " 128 x  121",
                                  " 128 x  127",
                                  " 128 x  128",
                                  " 128 x  131",
                                  " 128 x  141",
                                  " 128 x  143",
                                  " 128 x  144",
                                  " 128 x  146",
                                  " 128 x  160",
                                  " 128 x  176",
                                  " 128 x  220",
                                  " 128 x  256",
                                  " 130 x  130",
                                  " 132 x   65",
                                  " 132 x  126",
                                  " 132 x  128",
                                  " 132 x  136",
                                  " 132 x  142",
                                  " 132 x  144",
                                  " 132 x  147",
                                  " 132 x  156",
                                  " 132 x  158",
                                  " 132 x  160",
                                  " 132 x  162",
                                  " 132 x  163",
                                  " 132 x  176",
                                  " 136 x  120",
                                  " 136 x  176",
                                  " 140 x  160",
                                  " 144 x  135",
                                  " 144 x  136",
                                  " 144 x  140",
                                  " 144 x  144",
                                  " 144 x  156",
                                  " 144 x  176",
                                  " 144 x  262",
                                  " 150 x  100",
                                  " 150 x  170",
                                  " 160 x  120",
                                  " 160 x  128",
                                  " 160 x  160",
                                  " 160 x  180",
                                  " 160 x  198",
                                  " 160 x  240",
                                  " 162 x  176",
                                  " 162 x  178",
                                  " 162 x  216",
                                  " 174 x  132",
                                  " 176 x  144",
                                  " 176 x  157",
                                  " 176 x  160",
                                  " 176 x  164",
                                  " 176 x  176",
                                  " 176 x  178",
                                  " 176 x  180",
                                  " 176 x  182",
                                  " 176 x  183",
                                  " 176 x  184",
                                  " 176 x  185",
                                  " 176 x  186",
                                  " 176 x  187",
                                  " 176 x  192",
                                  " 176 x  198",
                                  " 176 x  200",
                                  " 176 x  208",
                                  " 176 x  220",
                                  " 176 x  229",
                                  " 176 x  240",
                                  " 177 x  223",
                                  " 178 x  220",
                                  " 208 x  104",
                                  " 208 x  208",
                                  " 208 x  320",
                                  " 216 x  162",
                                  " 220 x  113",
                                  " 220 x  176",
                                  " 220 x  220",
                                  " 222 x  261",
                                  " 230 x  240",
                                  " 230 x  310",
                                  " 232 x  323",
                                  " 240 x  160",
                                  " 240 x  224",
                                  " 240 x  235",
                                  " 240 x  240",
                                  " 240 x  255",
                                  " 240 x  260",
                                  " 240 x  266",
                                  " 240 x  269",
                                  " 240 x  270",
                                  " 240 x  272",
                                  " 240 x  274",
                                  " 240 x  275",
                                  " 240 x  292",
                                  " 240 x  298",
                                  " 240 x  300",
                                  " 240 x  302",
                                  " 240 x  320",
                                  " 240 x  345",
                                  " 240 x  352",
                                  " 240 x  375",
                                  " 240 x  378",
                                  " 240 x  384",
                                  " 240 x  400",
                                  " 240 x  427",
                                  " 240 x  428",
                                  " 240 x  432",
                                  " 240 x  440",
                                  " 240 x  480",
                                  " 256 x  240",
                                  " 256 x  384",
                                  " 300 x  100",
                                  " 320 x  194",
                                  " 320 x  199",
                                  " 320 x  204",
                                  " 320 x  240",
                                  " 320 x  256",
                                  " 320 x  320",
                                  " 320 x  400",
                                  " 320 x  480",
                                  " 324 x  352",
                                  " 345 x  800",
                                  " 352 x  416",
                                  " 360 x  120",
                                  " 360 x  400",
                                  " 360 x  480",
                                  " 360 x  640",
                                  " 384 x  288",
                                  " 400 x  240",
                                  " 400 x  427",
                                  " 400 x  800",
                                  " 432 x  240",
                                  " 450 x  854",
                                  " 480 x  272",
                                  " 480 x  320",
                                  " 480 x  360",
                                  " 480 x  427",
                                  " 480 x  540",
                                  " 480 x  640",
                                  " 480 x  690",
                                  " 480 x  760",
                                  " 480 x  800",
                                  " 480 x  845",
                                  " 480 x  854",
                                  " 480 x  860",
                                  " 480 x  862",
                                  " 480 x  864",
                                  " 480 x  960",
                                  " 480 x 1024",
                                  " 600 x  800",
                                  " 600 x 1024",
                                  " 640 x  200",
                                  " 640 x  240",
                                  " 640 x  320",
                                  " 640 x  480",
                                  " 640 x  960",
                                  " 800 x  352",
                                  " 800 x  480",
                                  " 800 x 1280",
                                  " 854 x  480",
                                  "1024 x  480",
                                  "1024 x  600",
                                  "1024 x  768",
                                  "1280 x  768",
                                  "1600 x 1200",
                                  "\0"};

/* ---------------------------------------- Local Global Variables ---------------------------------------- */
/* ..................................................|..................................................... */

/* ----------------------------------- Graphic Elements for Main Window ----------------------------------- */
/* ..................................................|..................................................... */

/* ---------------------------------------- Function Declarations ----------------------------------------- */
/* ..................................................|..................................................... */

/*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%*/
/*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%*/
/*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%*/

/* ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ */
/*        1         2         3         4         5         6         7         8         9         10      */
/*2345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567*/
/* ======================================================================================================== */
/*                                                                                                          */
/* =========================================== gp.phone.dat.c ============================================= */
/*                                                                                                          */
/*  END-OF-FILE    END-OF-FILE    END-OF-FILE    END-OF-FILE    END-OF-FILE    END-OF-FILE    END-OF-FILE   */
/* -------------------------------------------------------------------------------------------------------- */
