/* ========================================= op.job.ticket.c ============================================== */
/* ..................................................|..................................................... */

/* -------------------------------------------------------------------------------------------------------- */
/*2345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567*/
/*        1         2         3         4         5         6         7         8         9         10      */
/* ..................................................|..................................................... */
/*                                        Author: Glen Petrie                                               */
/****************************************************|*******************************************************/
/*                                                                                                          */
/*    Copyright (c) 2011-2013                SEIKO EPSON CORPORATION            All Rights Reserved         */
/*                                                                                                          */
/*                                      Common Public License - v 1.0                                       */
/*   THE ACCOMPANYING PROGRAM IS PROVIDED UNDER THE TERMS OF THIS COMMON PUBLIC LICENSE ("AGREEMENT").      */
/*   ANY USE, REPRODUCTION OR DISTRIBUTION OF THE PROGRAM CONSTITUTES RECIPIENT'S ACCEPTANCE OF THIS        */
/*   AGREEMENT.                                                                                             */
/*                                                                                                          */
/* 1. DEFINITIONS                                                                                           */
/*    "Contribution" means:                                                                                 */
/*    a) in the case of the initial Contributor, the initial code and documentation distributed under this  */
/*       Agreement, and                                                                                     */
/*    b) in the case of each subsequent Contributor:                                                        */
/*        i) changes to the Program, and                                                                    */
/*       ii) additions to the Program;                                                                      */
/*                                                                                                          */
/*       where such changes and/or additions to the Program originate from and are distributed by that      */
/*       particular Contributor. A Contribution 'originates' from a Contributor if it was added to the      */
/*       Program by such Contributor itself or anyone acting on such Contributor's behalf. Contributions    */
/*       do not include additions to the Program which:                                                     */
/*      (i) are separate modules of software distributed in conjunction with the Program under their own    */
/*          license agreement, and                                                                          */
/*     (ii) are not derivative works of the Program.                                                        */
/*                                                                                                          */
/*    "Contributor" means any person or entity that distributes the Program.                                */
/*                                                                                                          */
/*    "Licensed Patents" mean patent claims licensable by a Contributor which are necessarily infringed     */
/*    by the use or sale of its Contribution alone or when combined with the Program.                       */
/*                                                                                                          */
/*    "Program" means the Contributions distributed in accordance with this Agreement.                      */
/*                                                                                                          */
/*    "Recipient" means anyone who receives the Program under this Agreement, including all Contributors.   */
/*                                                                                                          */
/* 2. GRANT OF RIGHTS                                                                                       */
/*    a) Subject to the terms of this Agreement, each Contributor hereby grants Recipient a non-exclusive,  */
/*       worldwide, royalty-free copyright license to reproduce, prepare derivative works of, publicly      */
/*       display, publicly perform, distribute and sublicense the Contribution of such Contributor, if any, */
/*       and such derivative works, in source code and object code form.                                    */
/*    b) Subject to the terms of this Agreement, each Contributor hereby grants Recipient a non-exclusive,  */
/*       worldwide, royalty-free patent license under Licensed Patents to make, use, sell, offer to sell,   */
/*       import and otherwise transfer the Contribution of such Contributor, if any, in source code and     */
/*       object code form. This patent license shall apply to the combination of the Contribution and the   */
/*       Program if, at the time the Contribution is added by the Contributor, such addition of the         */
/*       Contribution causes such combination to be covered by the Licensed Patents.  The patent license    */
/*       shall not apply to any other combinations which include the Contribution. No hardware per se is    */
/*       licensed hereunder.                                                                                */
/*    c) Recipient understands that although each Contributor grants the licenses to its Contributions set  */
/*       forth herein, no assurances are provided by any Contributor that the Program does not infringe the */
/*       patent or other intellectual property rights of any other entity. Each Contributor disclaims any   */
/*       liability to Recipient for claims brought by any other entity based on infringement of             */
/*       intellectual property rights or otherwise. As a condition to exercising the rights and licenses    */
/*       granted hereunder, each Recipient hereby assumes sole responsibility to secure any other           */
/*       intellectual property rights needed, if any.  For example, if a third party patent license is      */
/*       required to allow Recipient to distribute the Program, it is Recipient's responsibility to         */
/*       acquire that license before distributing the Program.                                              */
/*    d) Each Contributor represents that to its knowledge it has sufficient copyright rights in its        */
/*       Contribution, if any, to grant the copyright license set forth in this Agreement.                  */
/*                                                                                                          */
/* 3. REQUIREMENTS                                                                                          */
/*    A Contributor may choose to distribute the Program in object code form under its own license          */
/*    agreement, provided that:                                                                             */
/*    a) it complies with the terms and conditions of this Agreement; and                                   */
/*    b) its license agreement:                                                                             */
/*        i) effectively disclaims on behalf of all Contributors all warranties and conditions, express     */
/*           and implied, including warranties or conditions of title and non-infringement, and implied     */
/*           warranties or conditions of merchantability and fitness for a particular purpose;              */
/*       ii) effectively excludes on behalf of all Contributors all liability for damages, including        */
/*           direct, indirect, special, (incidental and consequential damages, such as lost profits;        */
/*      iii) states that any provisions which differ from this Agreement are offered by that Contributor    */
/*           alone and not by any other party; and                                                          */
/*       iv) states that source code for the Program is available from such Contributor, and informs        */
/*           licensees how to obtain it in a reasonable manner on or through a medium customarily used      */
/*           for software exchange.                                                                         */
/*    When the Program is made available in source code form:                                               */
/*        a) it must be made available under this Agreement; and                                            */
/*        b) a copy of this Agreement must be included with each copy of the Program.                       */
/*    Contributors may not remove or alter any copyright notices contained within the Program.              */
/*                                                                                                          */
/*    Each Contributor must identify itself as the originator of its Contribution, if any, in a manner      */
/*    that reasonably allows subsequent Recipients to identify the originator of the Contribution.          */
/*                                                                                                          */
/* 4. COMMERCIAL DISTRIBUTION                                                                               */
/*    Commercial distributors of software may accept certain responsibilities with respect to end users,    */
/*    business partners and the like. While this license is intended to facilitate the commercial use of    */
/*    the Program, the Contributor who includes the Program in a commercial product offering should do so   */
/*    in a manner which does not create potential liability for other Contributors. Therefore, if a         */
/*    Contributor includes the Program in a commercial product offering, such Contributor                   */
/*    ("Commercial Contributor") hereby agrees to defend and indemnify every other Contributor              */
/*    ("Indemnified Contributor") against any losses, damages and costs (collectively "Losses") arising     */
/*    from claims, lawsuits and other legal actions brought by a third party against the Indemnified        */
/*    Contributor to the extent caused by the acts or omissions of such Commercial Contributor in           */
/*    connection with its distribution of the Program in a commercial product offering. The obligations in  */
/*    this section do not apply to any claims or Losses relating to any actual or alleged intellectual      */
/*    property infringement. In order to qualify, an Indemnified Contributor must: a) promptly notify the   */
/*    Commercial Contributor in writing of such claim, and b) allow the Commercial Contributor to control,  */
/*    and cooperate with the Commercial Contributor in, the defense and any related settlement              */
/*    negotiations. The Indemnified Contributor may participate in any such claim at its own expense.       */
/*                                                                                                          */
/*    For example, a Contributor might include the Program in a commercial product offering, Product X.     */
/*    That Contributor is then a Commercial Contributor. If that Commercial Contributor then makes          */
/*    performance claims, or offers warranties related to Product X, those performance claims and           */
/*    warranties are such Commercial Contributor's responsibility alone. Under this section, the Commercial */
/*    Contributor would have to defend claims against the other Contributors related to those performance   */
/*    claims and warranties, and if a court requires any other Contributor to pay any damages as a result,  */
/*    the Commercial Contributor must pay those damages.                                                    */
/*                                                                                                          */
/* 5. NO WARRANTY                                                                                           */
/*    EXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, THE PROGRAM IS PROVIDED ON AN "AS IS" BASIS,         */
/*    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT            */
/*    LIMITATION, ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS       */
/*    FOR A PARTICULAR PURPOSE. Each Recipient is solely responsible for determining the appropriateness    */
/*    of using and distributing the Program and assumes all risks associated with its exercise of rights    */
/*    under this Agreement, including but not limited to the risks and costs of program errors, compliance  */
/*    with applicable laws, damage to or loss of data, programs or equipment, and unavailability or         */
/*    interruption of operations.                                                                           */
/*                                                                                                          */
/* 6. DISCLAIMER OF LIABILITY                                                                               */
/*    EXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, NEITHER RECIPIENT NOR ANY CONTRIBUTORS SHALL HAVE    */
/*    ANY LIABILITY FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES      */
/*    (INCLUDING WITHOUT LIMITATION LOST PROFITS), HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER   */
/*    IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT     */
/*    OF THE USE OR DISTRIBUTION OF THE PROGRAM OR THE EXERCISE OF ANY RIGHTS GRANTED HEREUNDER, EVEN IF    */
/*    ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.                                                           */
/*                                                                                                          */
/* 7. GENERAL                                                                                               */
/*    If any provision of this Agreement is invalid or unenforceable under applicable law, it shall not     */
/*    affect the validity or enforceability of the remainder of the terms of this Agreement, and without    */
/*    further action by the parties hereto, such provision shall be reformed to the minimum extent          */
/*    necessary to make such provision valid and enforceable.                                               */
/*                                                                                                          */
/*    If Recipient institutes patent litigation against a Contributor with respect to a patent applicable   */
/*    to software (including a cross-claim or counterclaim in a lawsuit), then any patent licenses granted  */
/*    by that Contributor to such Recipient under this Agreement shall terminate as of the date such        */
/*    litigation is filed. In addition, if Recipient institutes patent litigation against any  entity       */
/*    (including a cross-claim or counterclaim in a lawsuit) alleging that the Program itself (excluding    */
/*    combinations of the Program with other software or hardware) infringes such Recipient's patent(s),    */
/*    then such Recipient's rights granted under Section 2(b) shall terminate as of the date such           */
/*    litigation is filed.                                                                                  */
/*                                                                                                          */
/*    All Recipient's rights under this Agreement shall terminate if it fails to comply with any of the     */
/*    material terms or conditions of this Agreement and does not cure such failure in a reasonable         */
/*    period of time after becoming aware of such noncompliance. If all Recipient's rights under this       */
/*    Agreement terminate, Recipient agrees to cease use and distribution of the Program as soon as         */
/*    reasonably practicable. However, Recipient's obligations under this Agreement and any licenses        */
/*    granted by Recipient relating to the Program shall continue and survive.                              */
/*                                                                                                          */
/*    Everyone is permitted to copy and distribute copies of this Agreement, but in order to avoid          */
/*    inconsistency the Agreement is copyrighted and may only be modified in the following manner. The      */
/*    Agreement Steward reserves the right to publish new versions (including revisions) of this Agreement  */
/*    from time to time. No one other than the Agreement Steward has the right to modify this Agreement.    */
/*    IBM is the initial Agreement Steward. IBM may assign the responsibility to serve as the Agreement     */
/*    Steward to a suitable separate entity. Each new version of the Agreement will be given a              */
/*    distinguishing version number. The Program (including Contributions) may always be distributed        */
/*    subject to the version of the Agreement under which it was received. In addition, after a new         */
/*    version of the Agreement is published, Contributor may elect to distribute the Program (including     */
/*    its Contributions) under the new version. Except as expressly stated in Sections 2(a) and 2(b) above, */
/*    Recipient receives no rights or licenses to the intellectual property of any Contributor under this   */
/*    Agreement, whether expressly, by implication, estoppel or otherwise. All rights in the Program not    */
/*    expressly granted under this Agreement are reserved.                                                  */
/*                                                                                                          */
/*    This Agreement is governed by the laws of the State of New York and the intellectual property laws    */
/*    of the United States of America. No party to this Agreement will bring a legal action under this      */
/*    Agreement more than one year after the cause of action arose. Each party waives its rights to a       */
/*    jury trial in any resulting litigation.                                                               */
/*                                                                                                          */
/* *****%*******************%*****|************************************************************************ */
/*                                                                                                          */
/* Code States:                                                                                             */
/*      Initial                                                                                             */
/*                          Developing                                                                      */
/*      Working                                                                                             */
/*      Tested                                                                                              */
/*      Refactored                                                                                          */
/*      Final Candidate                                                                                     */
/*      Final Code                                                                                          */
/*                                                                                                          */
/* *****%*******************%*****|************************************************************************ */

/* ---------------------------------------------- Includes ------------------------------------------------ */
/* ..................................................|..................................................... */
#include "gp.typedefs.h"
#include "op.job.ticket.h"
#include "op.job.ticket.attributes.h"
#include "op.media.dat.h"
#include VENDOR_HEADER

/* ---------------------------------------------- Macros -------------------------------------------------- */
/* ..................................................|..................................................... */

/* --------------------------------------------- Definition ----------------------------------------------- */
/* ..................................................|..................................................... */

/* ------------------------------------- Data Structure Declarations -------------------------------------- */
/* ..................................................|..................................................... */

/* ------------------------------------ Application Global Variables -------------------------------------- */
/* ..................................................|..................................................... */

/* ---------------------------------------- Local Global Variables ---------------------------------------- */
/* ..................................................|..................................................... */

/* ----------------------------------- Graphic Elements for Main Window ----------------------------------- */
/* ..................................................|..................................................... */

/* ---------------------------------------- Function Declarations ----------------------------------------- */
/* ..................................................|..................................................... */

/*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%*/
/*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%*/
/*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%*/

/* ======================================================================================================== */
/* Function name: opJobTicketNew(...)                                                                       */
/* ..................................................|..................................................... */
opERR_CODE opJobTicketNew(

    opJobTicket** jobTkt

) {
/*** Declare Variable Local to Routine                                                                      */
/*** ------------------------------------------------------------------------------------------------------ */
opERR_CODE    status;
gpBIT32       hzScaling, vtScaling;
opJobTicket*  jobTk;
opJIB*        jobInfoBase;

    Prt("### ### ### ### ### ### ### ### ### ### ### ### ### ### ### ### ### ### ### ### ### ### ###\n");
    Prt("###                                                                                     ###\n");
    Prt("### OpenPrinting Job Ticket Abstraction Definition should be replaced with the PWG/PJT. ###\n");
    Prt("###                                                                                     ###\n");
    Prt("### ### ### ### ### ### ### ### ### ### ### ### ### ### ### ### ### ### ### ### ### ### ###\n");

/*** Initialize Local/Global Variables                                                                      */
/*** ------------------------------------------------------------------------------------------------------ */
    status = gpERROR_NONE;
    jobTk  = gpNULL;

/*** Create an Open Printing Print Job Ticket                                                               */
/*** ------------------------------------------------------------------------------------------------------ */
    jobTk = (opJobTicket*)malloc(sizeof(opJobTicket));
    if (jobTk == gpNULL) return(gpERROR_MEMORY_ALLOCATION);
    memset(jobTk, 0, sizeof(opJobTicket));

/*** Set the default values for job ticket                                                                  */
/*** ------------------------------------------------------------------------------------------------------ */
    /*** Version for Job Ticket Instantiation                                                               */
    /*** -------------------------------------------------------------------------------------------------- */
    jobTk->version[0] = opJT_VERSION_MAJOR;           /* [V.xx.xx.xx]                                       */
    jobTk->version[1] = opJT_VERSION_MINOR;
    jobTk->version[2] = opJT_VERSION_REVISION;

    /*** Target Printer 1284.4 Identifier                                                                   */
    /*** -------------------------------------------------------------------------------------------------- */
    /* NO DEFAULT */

    /*** Content Object                                                                                     */
    /*** Currently only Raster                                                                              */
    /*** -------------------------------------------------------------------------------------------------- */
    /* NO DEFAULT */

    /*** External Job Identifier                                                                            */
    /*** -------------------------------------------------------------------------------------------------- */
    /* NO DEFAULT */

    /*** State/Attribute Information retrieved from the printer                                             */
    /*** -------------------------------------------------------------------------------------------------- */
    jobTk->activePage = -1;                           /* -1 = not active; x = active                        */
    /* Remaining have NO DEFAULT */

    /*** Print DPI                                                                                          */
    /*** -------------------------------------------------------------------------------------------------- */
    jobTk->horzDotsPerInch = OP_HZ_DPI_NORMAL_TEXT_GRAPHICS;
    jobTk->vertDotsPerInch = OP_VT_DPI_NORMAL_TEXT_GRAPHICS;
    hzScaling = 1080000/jobTk->horzDotsPerInch;
    vtScaling = 1080000/jobTk->vertDotsPerInch;

    /*** Media Properties                                                                                   */
    /*** -------------------------------------------------------------------------------------------------- */
    jobTk->mediaSizeIdx        = 999;                 /* Size (by index) of media                           */
    jobTk->mediaTypeIdx        = OP_MT_PLAIN;         /* Type  of media (by index)                          */
    jobTk->mediaColorIdx       = OP_MC_WHITE;         /* Color of media (by index)                          */
    jobTk->mediaPreprintedType = OP_MP_BLANK;         /* Type of preprinted media                           */

    jobTk->mediaWidth  = stdMediaSize[jobTk->mediaSizeIdx].width /hzScaling;
    jobTk->mediaHeight = stdMediaSize[jobTk->mediaSizeIdx].height/vtScaling;

    /*** Page Properties                                                                                    */
    /*** -------------------------------------------------------------------------------------------------- */
    jobTk->topMargin    = jobTk->vertDotsPerInch/2;   /* 0.5 Inch Top    margin                             */
    jobTk->leftMargin   = jobTk->horzDotsPerInch/2;   /* 0.5 Inch Left   margin                             */
    jobTk->bottomMargin = jobTk->vertDotsPerInch/2;   /* 0.5 Inch Bottom margin                             */
    jobTk->rightMargin  = jobTk->horzDotsPerInch/2;   /* 0.5 Inch Right  margin                             */

    /*** Scaling/Zoom Properties                                                                            */
    /*** -------------------------------------------------------------------------------------------------- */
    jobTk->scaleFactor = 100;                         /* Scale Factor App <=> Printer                       */
    jobTk->scaleXPos   =   0;                         /* Position of center scaling                         */
    jobTk->scaleYPos   =   0;                         /* Position of center scaling                         */

    /*** User Entered "Print"/"Band" Specific                                                               */
    /*** -------------------------------------------------------------------------------------------------- */
    jobTk->prtWidth  = jobTk->mediaWidth -            /* Print width                                        */
                       jobTk->leftMargin -
                       jobTk->rightMargin;
    jobTk->prtHeight = jobTk->mediaHeight -           /* Print height                                       */
                       jobTk->topMargin   -
                       jobTk->bottomMargin;

    jobTk->bandWidth  = jobTk->prtWidth;              /* Band width                                         */
    jobTk->bandHeight = jobTk->prtHeight;             /* Band Height                                        */
    jobTk->bandBPL    = ((jobTk->prtWidth*3 + 3)/4)*4;

    /*** Color Attributes                                                                                   */
    /*** -------------------------------------------------------------------------------------------------- */
    jobTk->pixelLayout = OP_RP_RGB_24;                /* Number/size of pixels                              */
    jobTk->colorSpace  = OP_CS_SRGB;                  /* "Color" "Space"                                    */

    /*** Print Copies                                                                                       */
    /*** -------------------------------------------------------------------------------------------------- */
    jobTk->copies = 1;                                /* Number of Copies                                   */

    /*** Print Quality                                                                                      */
    /*** -------------------------------------------------------------------------------------------------- */
    jobTk->contentType  = OP_CT_TEXT_AND_GRAPHICS;
    jobTk->printQuality = OP_PQ_NORMAL;

    jobTk->bindType     = OP_BT_NONE;                 /* Type of binding                                    */
    jobTk->collateType  = OP_CL_NONE;                 /* Type of collate                                    */
    jobTk->compressType = OP_CM_NONE;                 /* Type of compression                                */
    jobTk->contactRoles = OP_CR_OWNER;                /* Roles of person                                    */
    jobTk->feedOrient   = OP_FO_SHORT_EDGE_FIRST;     /* Orientation feed direction                         */
    jobTk->fitPolicy    = OP_FP_FIT_TO_PAGE;          /* How to fit content to media                        */
    jobTk->foldType     = OP_FD_NONE;                 /* Type of folding to perform                         */
    jobTk->hold         = OP_HD_NO_HOLD;              /* Hold state and duration                            */
    jobTk->alignmentX   = OP_AX_LEFT;                 /* Alignment page content: x                          */
    jobTk->alignmentY   = OP_AY_TOP;                  /* Alignment page content: y                          */
    jobTk->inTray       = OP_IT_AUTO_SELECT;          /* Input Media Tray                                   */
    jobTk->jogType      = OP_JO_NONE;                 /* Type (if any) jog offset                           */
    jobTk->lengthUnits  = OP_UT_PRINT_DPI;            /* Length Units                                       */
    jobTk->outBin       = OP_OB_AUTO_SELECT;          /* Output Bin                                         */
    jobTk->outPageOrder = OP_OO_SAME_ORDER;		        /* Output pages ordering                              */
    jobTk->presDirType  = OP_PD_NOT_SET;              /* Placement order on a page                          */
    jobTk->refEdge      = OP_RE_NOT_SET;              /* Reference edge for operation                       */
    jobTk->outOrient    = OP_OR_0_DEGREES;            /* Print Orient (0,90,180,270)                        */
    jobTk->putSepSheet  = OP_SS_NONE;                 /* Where to put separator sheet                       */
    jobTk->mediaPrtSide = OP_MS_ONE_SIDED_FRONT;      /* Media side to print on                             */
    jobTk->stitchType   = OP_ST_NONE;                 /* Type of stitching (finishing)                      */
    jobTk->eventSubscpt = OP_ES_NONE;                 /* Events to subscribe to                             */
    jobTk->trimType     = OP_TT_NONE;                 /* Type of trimming (finishing)                       */

/*** Create an Open Printing Print Job Information Base                                                     */
/*** ------------------------------------------------------------------------------------------------------ */
    jobInfoBase = (opJIB*)malloc(sizeof(opJIB));
    if (jobInfoBase == gpNULL) return(gpERROR_MEMORY_ALLOCATION);
    memset(jobInfoBase, 0, sizeof(opJIB));

/*** Set the default values for job information base                                                        */
/*** ------------------------------------------------------------------------------------------------------ */
    /*** Version for the OPJIB Definition                                                                   */
    /*** -------------------------------------------------------------------------------------------------- */
    jobInfoBase->version[0] = opJIB_VERSION_MAJOR;    /* [V.xx.xx.xx]                                       */
    jobInfoBase->version[1] = opJIB_VERSION_MINOR;
    jobInfoBase->version[2] = opJIB_VERSION_REVISION;

    /*** Record in Job Ticket Object                                                                        */
    /*** -------------------------------------------------------------------------------------------------- */
    jobTk->jib = (gpVOID*)jobInfoBase;                /* Internal data                                      */
    jobInfoBase->jobTicket = jobTk;                   /* Current Job Ticket                                 */

    /*** Printer Object                                                                                     */
    /*** -------------------------------------------------------------------------------------------------- */
#if 0
    EPPIB       pibCap;                               /* Printer Info Base:Capability                       */
    jobInfoBase->pibPath[256];                        /* Location of PIB Info                               */
#endif

    /*** Target Printer 1284.4 Identifier                                                                   */
    /*** -------------------------------------------------------------------------------------------------- */
    /* NO DEFAULT */

    /*** I/O Object                                                                                         */
    /*** -------------------------------------------------------------------------------------------------- */
#if 0
    EPIIB       iib;                                  /* I/O Info Base:                                     */

    /*** Gen State/Status/Error condition of Job                                                            */
    /*** -------------------------------------------------------------------------------------------------- */
    jobInfoBase->genState;                            /* Various states                                     */
    jobInfoBase->genStatus;                           /* Current status                                     */
    jobInfoBase->genError;                            /* Last error                                         */

    /*** Job State/Status/Error condition of Job                                                            */
    /*** -------------------------------------------------------------------------------------------------- */
    jobInfoBase->jobState;                            /* Various states of a job                            */
    jobInfoBase->jobStatus;                           /* Current status of this job                         */
    jobInfoBase->jobError;                            /* Last error for this job                            */

    /*** Printer State/Status/Error condition of Job                                                        */
    /*** -------------------------------------------------------------------------------------------------- */
    jobInfoBase->ptrState;                            /* Various states of a job                            */
    jobInfoBase->ptrStatus;                           /* Current status of this job                         */
    jobInfoBase->ptrError;                            /* Last error for this job                            */

    /*** Ink State/Status/Error condition of Job                                                            */
    /*** -------------------------------------------------------------------------------------------------- */
    jobInfoBase->inkState;                            /* Various states of a toner                          */
    jobInfoBase->inkStatus;                           /* Current status of this job                         */
    jobInfoBase->inkError;                            /* Last error for this job                            */

    /*** I/O State/Status/Error condition of Job                                                            */
    /*** -------------------------------------------------------------------------------------------------- */
    jobInfoBase->ioState;                             /* Various states of a toner                          */
    jobInfoBase->ioStatus;                            /* Current status of this job                         */
    jobInfoBase->ioError;                             /* Last error for this job                            */

    /*** Toner State/Status/Error condition of Job                                                          */
    /*** -------------------------------------------------------------------------------------------------- */
    jobInfoBase->allInkState  [10];                   /* State  of all inks                                 */
    jobInfoBase->allInkStatus [10];                   /* Status of all inks                                 */
    jobInfoBase->allInkError  [10];                   /* Error  of all inks                                 */

    /*** State/Attribute Information retrieved from the printer                                             */
    /*** -------------------------------------------------------------------------------------------------- */
    jobInfoBase->activePage;                          /* -1 = not active; x = active                        */
    jobInfoBase->activePaperPath;                     /* Paper path indicated from ptr                      */
    jobInfoBase->cleaningTime;                        /* Cleaning Time                                      */
    jobInfoBase->ptrCancelReq;                        /* The printer requested cancel                       */
    jobInfoBase->ptrPaperJam;                         /* Printer detected paper jam                         */

    /*** Job Control                                                                                        */
    /*** -------------------------------------------------------------------------------------------------- */
    jobInfoBase->suspendJob;                          /* Suspend job                                        */
    jobInfoBase->resumeJob;                           /* Resume a suspended job                             */
    jobInfoBase->cancelJob;                           /* Cancel  job                                        */
#endif

/*** Return to Caller                                                                                       */
/*** ------------------------------------------------------------------------------------------------------ */
    *jobTkt = jobTk;
    return(status);

} /* opJobTicketNew                                                                                         */

/* ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ */
/*        1         2         3         4         5         6         7         8         9         10      */
/*2345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567*/
/* ======================================================================================================== */
/*                                                                                                          */
/* ========================================= op.job.ticket.c ============================================== */
/*                                                                                                          */
/*  END-OF-FILE    END-OF-FILE    END-OF-FILE    END-OF-FILE    END-OF-FILE    END-OF-FILE    END-OF-FILE   */
/* -------------------------------------------------------------------------------------------------------- */

