/* ========================================== op.media.dat.c ============================================== */
/* ..................................................|..................................................... */

/* -------------------------------------------------------------------------------------------------------- */
/*2345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567*/
/*        1         2         3         4         5         6         7         8         9         10      */
/* ..................................................|..................................................... */
/*                                        Author: Glen Petrie                                               */
/****************************************************|*******************************************************/
/*                                                                                                          */
/*    Copyright (c) 2011-2013                SEIKO EPSON CORPORATION            All Rights Reserved         */
/*                                                                                                          */
/*                                      Common Public License - v 1.0                                       */
/*   THE ACCOMPANYING PROGRAM IS PROVIDED UNDER THE TERMS OF THIS COMMON PUBLIC LICENSE ("AGREEMENT").      */
/*   ANY USE, REPRODUCTION OR DISTRIBUTION OF THE PROGRAM CONSTITUTES RECIPIENT'S ACCEPTANCE OF THIS        */
/*   AGREEMENT.                                                                                             */
/*                                                                                                          */
/* 1. DEFINITIONS                                                                                           */
/*    "Contribution" means:                                                                                 */
/*    a) in the case of the initial Contributor, the initial code and documentation distributed under this  */
/*       Agreement, and                                                                                     */
/*    b) in the case of each subsequent Contributor:                                                        */
/*        i) changes to the Program, and                                                                    */
/*       ii) additions to the Program;                                                                      */
/*                                                                                                          */
/*       where such changes and/or additions to the Program originate from and are distributed by that      */
/*       particular Contributor. A Contribution 'originates' from a Contributor if it was added to the      */
/*       Program by such Contributor itself or anyone acting on such Contributor's behalf. Contributions    */
/*       do not include additions to the Program which:                                                     */
/*      (i) are separate modules of software distributed in conjunction with the Program under their own    */
/*          license agreement, and                                                                          */
/*     (ii) are not derivative works of the Program.                                                        */
/*                                                                                                          */
/*    "Contributor" means any person or entity that distributes the Program.                                */
/*                                                                                                          */
/*    "Licensed Patents" mean patent claims licensable by a Contributor which are necessarily infringed     */
/*    by the use or sale of its Contribution alone or when combined with the Program.                       */
/*                                                                                                          */
/*    "Program" means the Contributions distributed in accordance with this Agreement.                      */
/*                                                                                                          */
/*    "Recipient" means anyone who receives the Program under this Agreement, including all Contributors.   */
/*                                                                                                          */
/* 2. GRANT OF RIGHTS                                                                                       */
/*    a) Subject to the terms of this Agreement, each Contributor hereby grants Recipient a non-exclusive,  */
/*       worldwide, royalty-free copyright license to reproduce, prepare derivative works of, publicly      */
/*       display, publicly perform, distribute and sublicense the Contribution of such Contributor, if any, */
/*       and such derivative works, in source code and object code form.                                    */
/*    b) Subject to the terms of this Agreement, each Contributor hereby grants Recipient a non-exclusive,  */
/*       worldwide, royalty-free patent license under Licensed Patents to make, use, sell, offer to sell,   */
/*       import and otherwise transfer the Contribution of such Contributor, if any, in source code and     */
/*       object code form. This patent license shall apply to the combination of the Contribution and the   */
/*       Program if, at the time the Contribution is added by the Contributor, such addition of the         */
/*       Contribution causes such combination to be covered by the Licensed Patents.  The patent license    */
/*       shall not apply to any other combinations which include the Contribution. No hardware per se is    */
/*       licensed hereunder.                                                                                */
/*    c) Recipient understands that although each Contributor grants the licenses to its Contributions set  */
/*       forth herein, no assurances are provided by any Contributor that the Program does not infringe the */
/*       patent or other intellectual property rights of any other entity. Each Contributor disclaims any   */
/*       liability to Recipient for claims brought by any other entity based on infringement of             */
/*       intellectual property rights or otherwise. As a condition to exercising the rights and licenses    */
/*       granted hereunder, each Recipient hereby assumes sole responsibility to secure any other           */
/*       intellectual property rights needed, if any.  For example, if a third party patent license is      */
/*       required to allow Recipient to distribute the Program, it is Recipient's responsibility to         */
/*       acquire that license before distributing the Program.                                              */
/*    d) Each Contributor represents that to its knowledge it has sufficient copyright rights in its        */
/*       Contribution, if any, to grant the copyright license set forth in this Agreement.                  */
/*                                                                                                          */
/* 3. REQUIREMENTS                                                                                          */
/*    A Contributor may choose to distribute the Program in object code form under its own license          */
/*    agreement, provided that:                                                                             */
/*    a) it complies with the terms and conditions of this Agreement; and                                   */
/*    b) its license agreement:                                                                             */
/*        i) effectively disclaims on behalf of all Contributors all warranties and conditions, express     */
/*           and implied, including warranties or conditions of title and non-infringement, and implied     */
/*           warranties or conditions of merchantability and fitness for a particular purpose;              */
/*       ii) effectively excludes on behalf of all Contributors all liability for damages, including        */
/*           direct, indirect, special, (incidental and consequential damages, such as lost profits;        */
/*      iii) states that any provisions which differ from this Agreement are offered by that Contributor    */
/*           alone and not by any other party; and                                                          */
/*       iv) states that source code for the Program is available from such Contributor, and informs        */
/*           licensees how to obtain it in a reasonable manner on or through a medium customarily used      */
/*           for software exchange.                                                                         */
/*    When the Program is made available in source code form:                                               */
/*        a) it must be made available under this Agreement; and                                            */
/*        b) a copy of this Agreement must be included with each copy of the Program.                       */
/*    Contributors may not remove or alter any copyright notices contained within the Program.              */
/*                                                                                                          */
/*    Each Contributor must identify itself as the originator of its Contribution, if any, in a manner      */
/*    that reasonably allows subsequent Recipients to identify the originator of the Contribution.          */
/*                                                                                                          */
/* 4. COMMERCIAL DISTRIBUTION                                                                               */
/*    Commercial distributors of software may accept certain responsibilities with respect to end users,    */
/*    business partners and the like. While this license is intended to facilitate the commercial use of    */
/*    the Program, the Contributor who includes the Program in a commercial product offering should do so   */
/*    in a manner which does not create potential liability for other Contributors. Therefore, if a         */
/*    Contributor includes the Program in a commercial product offering, such Contributor                   */
/*    ("Commercial Contributor") hereby agrees to defend and indemnify every other Contributor              */
/*    ("Indemnified Contributor") against any losses, damages and costs (collectively "Losses") arising     */
/*    from claims, lawsuits and other legal actions brought by a third party against the Indemnified        */
/*    Contributor to the extent caused by the acts or omissions of such Commercial Contributor in           */
/*    connection with its distribution of the Program in a commercial product offering. The obligations in  */
/*    this section do not apply to any claims or Losses relating to any actual or alleged intellectual      */
/*    property infringement. In order to qualify, an Indemnified Contributor must: a) promptly notify the   */
/*    Commercial Contributor in writing of such claim, and b) allow the Commercial Contributor to control,  */
/*    and cooperate with the Commercial Contributor in, the defense and any related settlement              */
/*    negotiations. The Indemnified Contributor may participate in any such claim at its own expense.       */
/*                                                                                                          */
/*    For example, a Contributor might include the Program in a commercial product offering, Product X.     */
/*    That Contributor is then a Commercial Contributor. If that Commercial Contributor then makes          */
/*    performance claims, or offers warranties related to Product X, those performance claims and           */
/*    warranties are such Commercial Contributor's responsibility alone. Under this section, the Commercial */
/*    Contributor would have to defend claims against the other Contributors related to those performance   */
/*    claims and warranties, and if a court requires any other Contributor to pay any damages as a result,  */
/*    the Commercial Contributor must pay those damages.                                                    */
/*                                                                                                          */
/* 5. NO WARRANTY                                                                                           */
/*    EXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, THE PROGRAM IS PROVIDED ON AN "AS IS" BASIS,         */
/*    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT            */
/*    LIMITATION, ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS       */
/*    FOR A PARTICULAR PURPOSE. Each Recipient is solely responsible for determining the appropriateness    */
/*    of using and distributing the Program and assumes all risks associated with its exercise of rights    */
/*    under this Agreement, including but not limited to the risks and costs of program errors, compliance  */
/*    with applicable laws, damage to or loss of data, programs or equipment, and unavailability or         */
/*    interruption of operations.                                                                           */
/*                                                                                                          */
/* 6. DISCLAIMER OF LIABILITY                                                                               */
/*    EXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, NEITHER RECIPIENT NOR ANY CONTRIBUTORS SHALL HAVE    */
/*    ANY LIABILITY FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES      */
/*    (INCLUDING WITHOUT LIMITATION LOST PROFITS), HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER   */
/*    IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT     */
/*    OF THE USE OR DISTRIBUTION OF THE PROGRAM OR THE EXERCISE OF ANY RIGHTS GRANTED HEREUNDER, EVEN IF    */
/*    ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.                                                           */
/*                                                                                                          */
/* 7. GENERAL                                                                                               */
/*    If any provision of this Agreement is invalid or unenforceable under applicable law, it shall not     */
/*    affect the validity or enforceability of the remainder of the terms of this Agreement, and without    */
/*    further action by the parties hereto, such provision shall be reformed to the minimum extent          */
/*    necessary to make such provision valid and enforceable.                                               */
/*                                                                                                          */
/*    If Recipient institutes patent litigation against a Contributor with respect to a patent applicable   */
/*    to software (including a cross-claim or counterclaim in a lawsuit), then any patent licenses granted  */
/*    by that Contributor to such Recipient under this Agreement shall terminate as of the date such        */
/*    litigation is filed. In addition, if Recipient institutes patent litigation against any  entity       */
/*    (including a cross-claim or counterclaim in a lawsuit) alleging that the Program itself (excluding    */
/*    combinations of the Program with other software or hardware) infringes such Recipient's patent(s),    */
/*    then such Recipient's rights granted under Section 2(b) shall terminate as of the date such           */
/*    litigation is filed.                                                                                  */
/*                                                                                                          */
/*    All Recipient's rights under this Agreement shall terminate if it fails to comply with any of the     */
/*    material terms or conditions of this Agreement and does not cure such failure in a reasonable         */
/*    period of time after becoming aware of such noncompliance. If all Recipient's rights under this       */
/*    Agreement terminate, Recipient agrees to cease use and distribution of the Program as soon as         */
/*    reasonably practicable. However, Recipient's obligations under this Agreement and any licenses        */
/*    granted by Recipient relating to the Program shall continue and survive.                              */
/*                                                                                                          */
/*    Everyone is permitted to copy and distribute copies of this Agreement, but in order to avoid          */
/*    inconsistency the Agreement is copyrighted and may only be modified in the following manner. The      */
/*    Agreement Steward reserves the right to publish new versions (including revisions) of this Agreement  */
/*    from time to time. No one other than the Agreement Steward has the right to modify this Agreement.    */
/*    IBM is the initial Agreement Steward. IBM may assign the responsibility to serve as the Agreement     */
/*    Steward to a suitable separate entity. Each new version of the Agreement will be given a              */
/*    distinguishing version number. The Program (including Contributions) may always be distributed        */
/*    subject to the version of the Agreement under which it was received. In addition, after a new         */
/*    version of the Agreement is published, Contributor may elect to distribute the Program (including     */
/*    its Contributions) under the new version. Except as expressly stated in Sections 2(a) and 2(b) above, */
/*    Recipient receives no rights or licenses to the intellectual property of any Contributor under this   */
/*    Agreement, whether expressly, by implication, estoppel or otherwise. All rights in the Program not    */
/*    expressly granted under this Agreement are reserved.                                                  */
/*                                                                                                          */
/*    This Agreement is governed by the laws of the State of New York and the intellectual property laws    */
/*    of the United States of America. No party to this Agreement will bring a legal action under this      */
/*    Agreement more than one year after the cause of action arose. Each party waives its rights to a       */
/*    jury trial in any resulting litigation.                                                               */
/*                                                                                                          */
/* *****%*******************%*****|************************************************************************ */
/*                                                                                                          */
/* Code States:                                                                                             */
/*      Initial                                                                                             */
/*                          Developing                                                                      */
/*      Working                                                                                             */
/*      Tested                                                                                              */
/*      Refactored                                                                                          */
/*      Final Candidate                                                                                     */
/*      Final Code                                                                                          */
/*                                                                                                          */
/* *****%*******************%*****|************************************************************************ */

/* ---------------------------------------------- Includes ------------------------------------------------ */
/* ..................................................|..................................................... */
#include "op.media.dat.h"

/* ---------------------------------------------- Macros -------------------------------------------------- */
/* ..................................................|..................................................... */

/* --------------------------------------------- Definition ----------------------------------------------- */
/* ..................................................|..................................................... */

/* ------------------------------------- Data Structure Declarations -------------------------------------- */
/* ..................................................|..................................................... */

/* ------------------------------------ Application Global Variables -------------------------------------- */
/* ..................................................|..................................................... */
    /*** Media Sizes - Labels                                                                               */
    /****************************************************************************************************** */
opMEDIA_SIZE stdMediaSize[] = {

{ "OP_MD_NOT_SET"             ,   /*    0.000,    0.000,   0.000,   0.000 */      1,     1},
{ "OP_MD_RSV1"                ,   /*    0.000,    0.000,   0.000,   0.000 */      1,     1},

/*** North American Media Sizes                                                                             */
/* -------------------------------------------------------------------------------------------------------- */
{ "North American Media Sizes",   /*    0.000,    0.000,   0.000,   0.000 */      0,     0},

    /* SMALL_MEDIA  Media Widths <  3.93" (100 mm)                                                          */
    /* vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv */
{ "na_index-3x5_3x5in"        ,   /*   88.900,  127.000,   3.500,   5.000 */  10080, 14400},
{ "na_personal_3.625x6.5in"   ,   /*   92.075,  165.100,   3.625,   6.500 */  10440, 18720},
{ "na_monarch_3.875x7.5in"    ,   /*   98.425,  190.500,   3.875,   7.500 */  11160, 21600},
{ "na_number-9_3.875x8.875in" ,   /*   98.425,  225.425,   3.875,   8.875 */  11160, 25560},

    /* NOMINAL_MEDIA  Media Widths => 3.93"(100mm) & <= 9.61"(244mm)                                        */
    /* vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv */
{ "na_index-4x6_4x6in"        ,   /*  101.600,  152.400,   4.000,   6.000 */  11520, 17280},
{ "na_number-10_4.125x9.5in"  ,   /*  104.775,  241.300,   4.125,   9.500 */  11880, 27360},
{ "na_a2_4.375x5.75in"        ,   /*  111.125,  146.050,   4.375,   5.750 */  12600, 16560},
{ "na_number-11_4.5x10.375in" ,   /*  114.300,  263.525,   4.500,  10.375 */  12960, 29880},
{ "na_number-12_4.75x11in"    ,   /*  114.300,  279.400,   4.500,  11.000 */  12960, 31680},
{ "na_5x7_5x7in"              ,   /*  127.000,  177.800,   5.000,   7.000 */  14400, 20160},
{ "na_index-5x8_5x8in"        ,   /*  127.000,  203.200,   5.000,   8.000 */  14400, 23040},
{ "na_number-14_5x11.5in"     ,   /*  127.000,  292.100,   5.000,  11.500 */  14400, 33120},
{ "na_invoice_5.5x8.5in"      ,   /*  127.000,  215.900,   5.000,   8.500 */  14400, 24480},
{ "na_index-4x6-ext_6x8in"    ,   /*  152.400,  203.200,   6.000,   8.000 */  17280, 23040},
{ "na_6x9_6x9in"              ,   /*  152.400,  228.600,   6.000,   9.000 */  17280, 25920},
{ "na_c5_6.5x9.5in"           ,   /*  165.100,  241.300,   6.500,   9.500 */  18720, 27360},
{ "na_7x9_7x9in"              ,   /*  177.800,  177.800,   7.000,   9.000 */  20160, 25920},
{ "na_executive_7.25x10.5in"  ,   /*  184.150,  184.150,   7.250,  10.500 */  20880, 30240},
{ "na_govt-letter_8x10in"     ,   /*  203.200,  203.200,   8.000,  10.000 */  23040, 28800},
{ "na_govt-legal_8x13in"      ,   /*  203.200,  203.200,   8.000,  13.000 */  23040, 37440},
{ "na_quarto_8.5x10.83in"     ,   /*  215.000,  275.000,   8.465,  10.827 */  24379, 31182},
{ "na_letter_8.5x11in"        ,   /*  215.300,  215.900,   8.500,  11.000 */  24480, 31680},
{ "na_fanfold-eur_8.5x12in"   ,   /*  215.300,  215.900,   8.500,  12.000 */  24480, 34560},
{ "na_letter-plus_8.5x12.69in",   /*  215.300,  322.326,   8.500,  12.690 */  24480, 39427},
{ "na_foolscap_8.5x13in"      ,   /*  215.300,  330.200,   8.500,  13.000 */  24480, 37440},
{ "na_legal_8.5x14in"         ,   /*  215.300,  355.600,   8.500,  14.000 */  24480, 40320},
{ "na_super-a_8.94x14in"      ,   /*  227.012,  355.600    8.938,  14.000 */  25740, 40320},
{ "na_9x11_9x11in"            ,   /*  228.600,  279.400,   9.000,  11.000 */  25920, 31680},
{ "na_arch-a_9x12in"          ,   /*  228.600,  304.800,   9.000,  12.000 */  25920, 34560},
{ "na_letter-extra_9.5x12in"  ,   /*  241.300,  304.800,   9.500,  12.000 */  27360, 34560},
{ "na_legal-extra_9.5x15in"   ,   /*  241.300,  381.000,   9.500,  15.000 */  27360, 43200},

    /* LARGE_MEDIA Media Widths >  9.61" (244 mm)                                                           */
    /* vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv */
{ "na_10x11_10x11in"          ,   /*  254.000,  279.400,  10.000,  11.000 */  28800, 31680},
{ "na_10x13_10x13in"          ,   /*  254.000,  330.200,  10.000,  13.000 */  28800, 37440},
{ "na_10x14_10x14in"          ,   /*  254.000,  355.600,  10.000,  14.000 */  28800, 40320},
{ "na_10x15_10x15in"          ,   /*  254.000,  381.000,  10.000,  15.000 */  28800, 43200},
{ "na_11x12_11x12in"          ,   /*  279.400,  304.800,  11.000,  12.000 */  31680, 34560},
{ "na_edp_11x14in"            ,   /*  279.400,  355.600,  11.000,  14.000 */  31680, 40320},
{ "na_fanfold-us_11x14.875in" ,   /*  279.400,  377.825,  11.000,  14.875 */  31680, 42840},
{ "na_11x15_11x15in"          ,   /*  279.400,  381.000,  11.000,  15.000 */  31680, 43200},
{ "na_ledger_11x17in"         ,   /*  279.400,  645.160,  11.000,  17.000 */  31680, 48960},
{ "na_eur-edp_12x14in"        ,   /*  304.800,  355.600,  12.000,  14.000 */  34560, 40320},
{ "na_arch-b_12x18in"         ,   /*  304.800,  645.160,  12.000,  18.000 */  34560, 51840},
{ "na_12x19_12x19in"          ,   /*  304.800,  482.600,  12.000,  19.000 */  34560, 54720},
{ "na_b-plus_12x19.17in"      ,   /*  304.800,  486.918,  12.000,  19.170 */  34560, 55210},
{ "na_super-b_13x19in"        ,   /*  330.200,  482.600,  13.000,  19.000 */  37440, 54720},
{ "na_c_17x22in"              ,   /*  431.800,  558.800,  17.000,  22.000 */  48960, 63360},
{ "na_arch-c_18x24in"         ,   /*  457.200,  609.600,  18.000,  24.000 */  51840, 69120},
{ "na_d_22x34in"              ,   /*  558.800,  863.600,  22.000,  34.000 */  63360, 97920},
{ "na_arch-d_24x36in"         ,   /*  609.600,  914.400,  24.000,  36.000 */  69120,103680},
{ "asme_f_28x40in"            ,   /*  711.200, 1016.000,  28.000,  40.000 */  80640,115200},
{ "na_wide-format_30x42in"    ,   /*  762.000, 1066.800,  30.000,  42.000 */  86400,120960},
{ "na_e_34x44in"              ,   /*  863.600, 1117.600,  34.000,  44.000 */  97920,126720},

/*** Chinese Media Sizes                                                                                    */
/* -------------------------------------------------------------------------------------------------------- */
{ "Chinese Media Sizes"       ,   /*    0.000,    0.000,   0.000,   0.000 */      0,     0},

    /* SMALL_MEDIA  Media Widths <  3.93" (100 mm)                                                          */
    /* vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv */
{ "prc_32k_97x151mm"          ,   /*   97.000,  151.000,   3.819,   5.945 */  10998, 17121},

    /* NOMINAL_MEDIA  Media Widths => 3.93"(100mm) & <= 9.61"(244mm)                                        */
    /* vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv */
{ "prc_1_102x165mm"           ,   /*  102.000,  165.000,   4.016,   6.496 */  11565, 18709},
{ "prc_2_102x176mm"           ,   /*  102.000,  176.000,   4.016,   6.929 */  11565, 19956},
{ "prc_4_110x208mm"           ,   /*  110.000,  208.000,   4.331,   8.189 */  12472, 23584},
{ "prc_5_110x220mm"           ,   /*  110.000,  220.000,   4.331,   8.661 */  12472, 24945},
{ "prc_8_120x309mm"           ,   /*  120.000,  309.000,   4.724,  12.165 */  13606, 35036},
{ "prc_6_120x320mm"           ,   /*  120.000,  320.000,   4.724,  12.598 */  13606, 36283},
{ "prc_3_125x176mm"           ,   /*  125.000,  176.000,   4.921,   6.929 */  14173, 19956},
{ "prc_16k_146x215mm"         ,   /*  146.000,  215.000,   5.748,   8.464 */  16554, 24378},
{ "prc_7_160x230mm"           ,   /*  160.000,  230.000,   6.299,   9.055 */  18142, 26079},
{ "roc_16k_7.75x10.75in"      ,   /*  196.850,  273.050,   7.750,  10.750 */  22320, 30960},
{ "om_juuro-ku-kai_198x275mm" ,   /*  198.000,  275.000,   7.795,  10.827 */  22450, 31181},

    /* LARGE_MEDIA Media Widths >  9.61" (244 mm)                                                           */
    /* vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv */
{ "om_pa-kai_267x389mm"       ,   /*  267.000,  389.000,  10.512,  15.315 */  30274, 44107},
{ "roc_8k_10.75x15.5in"       ,   /*  273.050,  393.700,  10.750,  15.500 */  30960, 44640},
{ "om_dai-pa-kai_275x395mm"   ,   /*  275.000,  395.000,  10.827,  15.551 */  31181, 44787},
{ "prc_10_324x458mm"          ,   /*  324.000,  458.000,  12.756,  18.031 */  36737, 51931},

/*** IOS Standard Sheet (Media) Media Sizes                                                                 */
/* -------------------------------------------------------------------------------------------------------- */
{ "IOS Standard Media Sizes"  ,   /*    0.000,    0.000,   0.000,   0.000 */      0,     0},

    /* SMALL_MEDIA  Media Widths <  3.93" (100 mm)                                                          */
    /* vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv */
{ "iso_a10_26x37mm"           ,   /*   26.000,   37.000,   1.024,   1.457 */   2948,  4195},
{ "iso_a9_37x52mm"            ,   /*   37.000,   52.000,   1.457,   2.047 */   4195,  5896},
{ "iso_a8_52x74mm"            ,   /*   52.000,   74.000,   2.047,   2.913 */   5896,  8390},
{ "iso_a7_74x105mm"           ,   /*   74.000,  105.000,   2.913,   4.134 */   8390, 11906},
{ "iso_b10_31x44mm"           ,   /*   31.000,   44.000,   1.220,   1.732 */   3515,  4989},
{ "iso_b9_44x62mm"            ,   /*   44.000,   62.000,   1.732,   2.441 */   4989,  7030},
{ "iso_b8_62x88mm"            ,   /*   62.000,   88.000,   2.441,   3.464 */   7030,  9978},
{ "iso_b7_88x125mm"           ,   /*   88.000,  125.000,   3.464,   4.921 */   9978, 14173},
{ "iso_c10_28x40mm"           ,   /*   28.000,   40.000,   1.102,   1.575 */   3175,  4535},
{ "iso_c9_40x57mm"            ,   /*   40.000,   57.000,   1.575,   2.244 */   4535,  6463},
{ "iso_c8_57x81mm"            ,   /*   57.000,   81.000,   2.244,   3.189 */   6463,  9184},
{ "iso_c7_81x114mm"           ,   /*   81.000,  114.000,   3.189,   4.488 */   9184, 12926},
{ "iso_c7c6_81x162mm"         ,   /*   81.000,  162.000,   3.189,   6.378 */   9184, 18368},

    /* NOMINAL_MEDIA  Media Widths => 3.93"(100mm) & <= 9.61"(244mm)                                        */
    /* vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv */
{ "iso_a6_105x148mm"          ,   /*  105.000,  148.000,   4.134,   5.827 */  11906, 16781},
{ "iso_a5_148x210mm"          ,   /*  148.000,  210.000,   5.827,   8.268 */  16781, 23811},
{ "iso_a5-extra_174x235mm"    ,   /*  174.000,  235.000,   6.850,   9.252 */  19729, 28687},
{ "iso_a4_210x297mm"          ,   /*  210.000,  297.000,   8.268,  11.693 */  23811, 33676},
{ "iso_a4-tab_225x297mm"      ,   /*  225.000,  297.000,   8.858,  11.693 */  25512, 33675},
{ "iso_a4-extra_235.5x322.3mm",   /*  236.500,  322.300,   9.311,  12.689 */  29877, 36510},
{ "iso_b6_125x176mm"          ,   /*  125.000,  176.000,   4.921,   6.929 */  14173, 19956},
{ "iso_b6c4_125x324mm"        ,   /*  125.000,  324.000,   4.921,  12.756 */  14173, 36737},
{ "iso_b5_176x250mm"          ,   /*  176.000,  250.000,   6.929,   9.842 */  19956, 28346},
{ "iso_b5-extra_201x276mm"    ,   /*  201.000,  276.000,   7.913,  10.866 */  22790, 31294},
{ "iso_dl_110x220mm"          ,   /*  110.000,  220.000,   4.331,   8.661 */  12472, 24945},
{ "iso_c6_114x162mm"          ,   /*  114.000,  162.000,   4.488,   6.378 */  12926, 18368},
{ "iso_c6c5_114x229mm"        ,   /*  114.000,  229.000,   4.488,   9.016 */  12926, 25965},
{ "iso_c5_162x229mm"          ,   /*  162.000,  229.000,   6.378,   9.016 */  18368, 25965},

    /* LARGE_MEDIA Media Widths >  9.61" (244 mm)                                                           */
    /* vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv */
{ "iso_a3_297x420mm"          ,   /*  297.000,  420.000,  11.693,  16.535 */  33676, 47622},
{ "iso_a4x3_297x630mm"        ,   /*  297.000,  630.000,  11.693,  24.803 */  33676, 71433},
{ "iso_a4x4_297x841mm"        ,   /*  297.000,  841.000,  11.693,  33.110 */  33676, 95357},
{ "iso_a4x5_297x1051mm"       ,   /*  297.000, 1051.000,  11.693,  41.378 */  33676,119168},
{ "iso_a3-extra_322x445mm"    ,   /*  322.000,  445.000,  13.071,  17.520 */  36510, 50457},
{ "iso_a2_420x594mm"          ,   /*  420.000,  594.000,  16.535,  23.386 */  47622, 67351},
{ "iso_a3x3_420x891mm"        ,   /*  420.000,  891.000,  16.535,  35.079 */  47622,101027},
{ "iso_a1_594x841mm"          ,   /*  594.000,  841.000,  23.386,  33.110 */  67351, 95357},
{ "iso_b4_250x353mm"          ,   /*  250.000,  353.000,   9.842,  13.898 */  28346, 40025},
{ "iso_b3_353x500mm"          ,   /*  353.000,  500.000,  13.898,  19.685 */  40025, 56693},
{ "iso_b2_500x707mm"          ,   /*  500.000,  707.000,  19.685,  27.835 */  56693, 80164},
{ "iso_b1_707x1000mm"         ,   /*  707.000, 1000.000,  27.835,  39.370 */  80164,113386},
{ "iso_c4_229x324mm"          ,   /*  229.000,  324.000,   9.016,  12.756 */  25965, 36737},
{ "iso_c3_324x458mm"          ,   /*  324.000,  458.000,  12.756,  18.031 */  36737, 51931},
{ "iso_ra2_430x610mm"         ,   /*  430.000,  610.000,  16.929,  24.016 */  48756, 69165},
{ "iso_sra2_450x640mm"        ,   /*  450.000,  640.000,  17.716,  25.197 */  51024, 72567},
{ "iso_c2_458x648mm"          ,   /*  458.000,  648.000,  18.031,  25.512 */  51931, 73474},
{ "iso_ra1_610x860mm"         ,   /*  610.000,  860.000,  24.016,  33.858 */  69165, 97512},
{ "iso_sra1_640x900mm"        ,   /*  640.000,  900.000,  25.197,  35.433 */  72567,102047},
{ "iso_c1_648x917mm"          ,   /*  648.000,  917.000,  25.512,  36.102 */  73474,103975},
{ "iso_c0_917x1297mm"         ,   /*  917.000,  297.000,  36.102,  11.693 */ 103975, 33676},

/*** Japanese Standard Media Sizes              gpMEDIA_SIZE_STD_END                                        */
/* -------------------------------------------------------------------------------------------------------- */
{ "Japanese Media Sizes"      ,   /*    0.000,    0.000,   0.000,   0.000 */      0,     0},

    /* LARGE_MEDIA Media Widths >  9.61" (244 mm)                                                           */
    /* vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv */
{ "jis_b10_32x45mm"           ,   /*   32.000,   45.000,   1.260,   1.772 */   3628,  5102},
{ "jis_b9_45x64mm"            ,   /*   45.000,   64.000,   1.772,   2.520 */   5102,  7257},
{ "jis_b8_64x91mm"            ,   /*   64.000,   91.000,   2.520,   3.583 */   7257, 10318},
{ "jis_b7_91x128mm"           ,   /*   91.000,  128.000,   3.583,   5.039 */  10318, 14513},
{ "jpn_chou4_90x205mm"        ,   /*   90.000,  205.000,   3.543,   8.071 */  10205, 23244},

    /* NOMINAL_MEDIA  Media Widths => 3.93"(100mm) & <= 9.61"(244mm)                                        */
    /* vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv */
{ "jpn_hagaki_100x148mm"      ,   /*  100.000,  148.000,   3.397,   5.827 */  11338, 16781},
{ "jis_b6_128x182mm"          ,   /*  128.000,  182.000,   5.039,   7.165 */  14513, 20636},
{ "jis_b5_182x257mm"          ,   /*  182.000,  257.000,   7.165,  10.118 */  20636, 29140},
{ "jis_exec_216x330mm"        ,   /*  216.000,  330.000,   8.504,  12.992 */  24491, 37417},
{ "jpn_you4_105x235mm"        ,   /*  105.000,  235.000,   4.134,   9.252 */  11906, 26646},
{ "jpn_chou2_111.1x146mm"     ,   /*  111.100,  146.000,   4.374,   5.748 */  12597, 16554},
{ "jpn_chou3_120x235mm"       ,   /*  120.000,  235.000,   4.724,   9.252 */  13606, 26646},
{ "jpn_oufuku_148x200mm"      ,   /*  148.000,  200.000,   5.827,   7.874 */  16781, 22677},
{ "jpn_kahu_240x322.1mm"      ,   /*  240.000,  322.100,   9.449,  12.770 */  27212, 36521},
{ "jpn_kaku2_240x332mm"       ,   /*  240.000,  332.000,   9.449,  13.071 */  27212, 37644},

    /* LARGE_MEDIA Media Widths >  9.61" (244 mm)                                                           */
    /* vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv */
{ "jis_b4_257x364mm"          ,   /*  257.000,  364.000,  10.118,  14.331 */  29140, 41272},
{ "jis_b3_364x515mm"          ,   /*  364.000,  515.000,  14.331,  20.276 */  41272, 59394},
{ "jis_b2_515x728mm"          ,   /*  515.000,  728.000,  20.276,  28.661 */  58394, 82545},
{ "jis_b1_728x1030mm"         ,   /*  728.000, 1030.000,  28.661,  40.551 */  82545,116787},

/*** Misc Metric Standard Media Sizes                                                                       */
/* -------------------------------------------------------------------------------------------------------- */
{ "Miscellaneous Media Sizes" ,   /*    0.000,    0.000,   0.000,   0.000 */      0,     0},

    /* SMALL_MEDIA  Media Widths <  3.93" (100 mmgpMEDIA_SIZE_STD_END)                  */
    /* vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv */

    /* NOMINAL_MEDIA  Media Widths => 3.93"(100mm) & <= 9.61"(244mm)                                        */
    /* vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv */
{ "om_small-photo_100x150mm"  ,   /*  100.000,  150.000,   3.937,   5.906 */  11338, 17008},
{ "om_italian_110x230mm"      ,   /*  110.000,  230.000,   4.331,   9.055 */  12472, 26079},
{ "om_postfix_114x229mm"      ,   /*  114.000,  229.000,   4.488,   9.016 */  12926, 25965},
{ "om_large-photo_200x300mm"  ,   /*  200.000,  300.000,   7.874,  11.811 */  22677, 34016},
{ "om_folio_210x330mm"        ,   /*  210.000,  330.000,   8.268,  12.992 */  23811, 37417},
{ "om_folio-sp_215x315mm"     ,   /*  215.000,  315.000,   8.464,  12.402 */  24378, 35716},
{ "om_invite_220x220mm"       ,   /*  220.000,  220.000,   8.661,   8.661 */  24945, 24945},

    /* LARGE_MEDIA Media Widths >  9.61" (244 mm)                                                           */
    /* vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv */

{ "Vendor Media Sizes"        ,   /*    0.000,    0.000,   0.000,   0.000 */      0,     0},

};

/* ---------------------------------------- Local Global Variables ---------------------------------------- */
/* ..................................................|..................................................... */

/* ----------------------------------- Graphic Elements for Main Window ----------------------------------- */
/* ..................................................|..................................................... */

/* ---------------------------------------- Function Declarations ----------------------------------------- */
/* ..................................................|..................................................... */

/*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%*/
/*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%*/
/*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%*/

/* ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ */
/*        1         2         3         4         5         6         7         8         9         10      */
/*2345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567*/
/* ======================================================================================================== */
/*                                                                                                          */
/* ========================================== op.media.dat.c ============================================== */
/*                                                                                                          */
/*  END-OF-FILE    END-OF-FILE    END-OF-FILE    END-OF-FILE    END-OF-FILE    END-OF-FILE    END-OF-FILE   */
/* -------------------------------------------------------------------------------------------------------- */
