/*_____________________  gw.qt.win.process.h  ______________________*/

/*       1         2         3         4         5         6        */
/*345678901234567890123456789012345678901234567890123456789012345678*/
/*********************************|**********************************/

/*********************************|**********************************/
/*                                                                  */
/* Copyright (c) 2011-2011 SEIKO EPSON CORP.   All Rights Reserved  */
/*                                                                  */
/*                    Common Public License - v 1.0                 */
/*   THE ACCOMPANYING PROGRAM IS PROVIDED UNDER THE TERMS OF THIS   */
/*   COMMON PUBLIC LICENSE ("AGREEMENT"). ANY USE, REPRODUCTION OR  */
/*   DISTRIBUTION OF THE PROGRAM CONSTITUTES RECIPIENT'S ACCEPTANCE */
/*   OF THIS AGREEMENT.                                             */
/*                                                                  */
/*   The Common Public License in its entirety is located in        */
/*                                                                  */
/*                    gpCommonPublicLicense.txt                     */
/*                                                                  */
/*   and applies to the contents of this file.                      */
/*                                                                  */
/*******%*******************%*****|**********************************/
/*                                                                  */
/* Code States:                                                     */
/*      Initial                                                     */
/*      Developing                                                  */
/*      Working                                                     */
/*      Tested                                                      */
/*      Refactored                                                  */
/*      Final Candidate                                             */
/*                          Final Code                              */
/*                                                                  */
/*******%*******************%*****|**********************************/

/*---------------------------  Includes   --------------------------*/
/*................................|.................................*/
#include <QtGui>                  /* MUST COME FIRST                */
#include <QtOpenGL/QGLWidget>
#include "gp.typedefs.h"

/*-------------------------- Data Types ----------------------------*/
/*................................|.................................*/

/*------------------------  Generic Macros   -----------------------*/
/*................................|.................................*/

/*-------------------------  Definitions  --------------------------*/
/*................................|.................................*/
    /*** CallBack Function                                          */
    /*** .......................................................... */
typedef void (*gwCBFR)(QObject*);
    /*** Paint Canvas Function                                      */
    /*** .......................................................... */
typedef void (*gwPCFR)(void);

/*------------------  Data Structure Declarations   ----------------*/
/*................................|.................................*/


/*-----------------  Application Global Variables   ----------------*/
/*................................|.................................*/



/*--------------------  Local Global Variables  --------------------*/
/*................................|.................................*/

/*--------------------  Function Declarations   --------------------*/
/*................................|.................................*/


/*********************************|**********************************/
/* Function name: Call Back for Print Dialog                        */
/*********************************|**********************************/
class gwCBFunction : public QObject {

  Q_OBJECT

public:
  gwCBFunction( QObject* parent=0) : QObject( parent) {
    userProcessRoutine = NULL;
  }
 ~gwCBFunction(){}

  gwCBFR userProcessRoutine;
  void SetgwCBFR(gwCBFR routine) { userProcessRoutine = routine; }

public slots:
  void Process(QObject* thisSender)
  { if (userProcessRoutine != NULL) ((gwCBFR)userProcessRoutine)(thisSender); }

};


#if 0
/*********************************|**********************************/
/* Function name: Call Back for Re-Paint                            */
/*********************************|**********************************/
class gwRPFunction : public QObject {

  Q_OBJECT

public:
  gwRPFunction( QObject* parent=0) : QObject( parent) {
    userProcessRoutine = NULL;
  }
 ~gwCBFunction(){}

  gwCBFR userProcessRoutine;
  void SetgwCBFR(gwCBFR routine) { userProcessRoutine = routine; }

public slots:
  void Process(QObject* thisSender)
  { if (userProcessRoutine != NULL) ((gwCBFR)userProcessRoutine)(thisSender); }

};
#endif

/*********************************|**********************************/
/* Function name: My Canvas and System "Paint" Call                 */
/*********************************|**********************************/

class gwCanvas : public QGLWidget {

    Q_OBJECT // must include this if you use Qt signals/slots



public:
    gwCanvas(QWidget *parent = NULL) : QGLWidget(parent)
      { /* setMouseTracking(true); */ userPaintRoutine = NULL; }

    void SetgwPCFR(gwPCFR routine) { userPaintRoutine = routine; }

protected:
    void initializeGL(){
        glDisable(GL_TEXTURE_2D);
        glDisable(GL_DEPTH_TEST);
        glDisable(GL_COLOR_MATERIAL);
        glEnable(GL_BLEND);
        //glEnable(GL_POLYGON_SMOOTH);
        glDisable(GL_POLYGON_SMOOTH);
        glBlendFunc(GL_SRC_ALPHA, GL_ONE_MINUS_SRC_ALPHA);
     //   glBlendFunc(GL_SRC_ALPHA, GL_DST_ALPHA);
        //glBlendFunc(GL_ZERO, GL_ZERO);

        glDisable(GL_LINE_SMOOTH);
        glDisable(GL_POINT_SMOOTH);


        glClearColor(1,1,1,1);//0, 0, 0, 0);
    }
    void resizeGL(int w, int h) {
        glViewport(0, 0, w, h);
        glMatrixMode(GL_PROJECTION);
        glLoadIdentity();
       // gluOrtho2D(0, w, 0, h); // set origin to bottom left corner
        glMatrixMode(GL_MODELVIEW);
        glLoadIdentity();
    }
    void paintGL() {
        glClear(GL_COLOR_BUFFER_BIT);
        glColor3f(1,0,0);

        if (userPaintRoutine != NULL) ((gwPCFR)userPaintRoutine)();
    /*
        glBegin(GL_POLYGON);
        glVertex2f(0,0);
        glVertex2f(100,500);
        glVertex2f(500,100);
        glEnd();
    */
    }
#if 0
    void mousePressEvent(QMouseEvent *event) {}
    void mouseMoveEvent(QMouseEvent *event)
      {  /*  printf("%d, %d\n", event->x(), event->y()); */ }
    void keyPressEvent(QKeyEvent *event) {
        switch(event->key()) {
        case Qt::Key_Escape:
            close();
            break;
        default:
            event->ignore();
            break;
        }
    }
#endif
private:
  gwPCFR  userPaintRoutine;


};

/*_____________________  gw.qt.win.process.h  ______________________*/

/*345678901234567890123456789012345678901234567890123456789012345678*/
/*       1         2         3         4         5         6        */
/*********************************|**********************************/

/*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%|%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%*/
/*** End of File *** End of File *** End of File *** End of File ****/
/*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%|%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%*/
